maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ernst Lindoorn (JIRA)" <j...@codehaus.org>
Subject [jira] Commented: (MECLIPSE-293) javaee-api artifact version issue (EE5)
Date Fri, 17 Aug 2007 17:06:47 GMT

    [ http://jira.codehaus.org/browse/MECLIPSE-293?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_105101
] 

Ernst Lindoorn commented on MECLIPSE-293:
-----------------------------------------

What is the reasoning behind looking through the project dependencies for specifically named
artifacts, to resolve versions of java ee / ejb and such? 
Wouldn't it be preferable to have versions definable/overridable in the pom? 

i.e. There is no documentation on which dependencies are necessary to get i.e. a jsf.ejb version
3;
It turns out you need either an artifact named ejb, geronimo-spec-ejb or geronimo-ejb_3.0_spec
with the proper version or if none of those exist you see if javaee-api, j2ee or geronimo-spec-j2ee
is version 5.0.

The above mechanism doesn't seem very robust. You noticed that the version of javaee-api is
5 instead of 5.0, what happens if someone releases 5.1? Or when a user creates a conflicting
artifact? 

Ernst


> javaee-api artifact version issue (EE5)
> ---------------------------------------
>
>                 Key: MECLIPSE-293
>                 URL: http://jira.codehaus.org/browse/MECLIPSE-293
>             Project: Maven 2.x Eclipse Plugin
>          Issue Type: Bug
>          Components: WTP support
>    Affects Versions: 2.4
>            Reporter: Thierry Levieux
>            Assignee: Arnaud Heritier
>
> The javaee-api artifact version is 5 (See http://weblogs.java.net/blog/ludo/archive/2007/01/java_ee_5_apis.html),
whereas eclipse/wtp and maven eclipse only recognizes 5.0 as a valid version.
> I think the pom version is not consistent (for instance, glassfish V3 build project uses
5.0 as artifact version),
> but WE NEED a way/workaround to resolve correctly that library version.
> I plan to contact Ludovic Champenois (project-owner) and check if he's confortable with
the javaee-api version...
> Thanks
> Thierry

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message